/*
 * OverlapNGUniqueValidator.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.nagesen.validator.unique;

import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.curewallet.nagesen.AddressData;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class OverlapNGUniqueValidator extends AbstractUniqueValidator {

	/**
	 * 
	 * @since 1.0
	 */
	public OverlapNGUniqueValidator() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/* (非 Javadoc)
	 * @see org.curewallet.nagesen.validator.allow.UniqueValidator#validate(java.util.List, org.curewallet.nagesen.AddressData)
	 * @since 1.0
	 */
	public boolean validate(List<AddressData> addressDataList,
			AddressData addressData) {
		for (AddressData data : addressDataList) {
			
			if (StringUtils.isEmpty(data.getAddress()) == false
					&&  StringUtils.isEmpty(addressData.getAddress()) == false
					&& data.getAddress().equals(addressData.getAddress())) {
				return false;
			}

			if (StringUtils.isEmpty(data.getId()) == false
					&&  StringUtils.isEmpty(addressData.getId()) == false
					&& data.getId().equals(addressData.getId())) {
				return false;
			}
			
		}
		return true;
	}

}
